### Method

# Clutter InputMethod set_preedit_text

#### Declaration [src]

    void
    clutter_input_method_set_preedit_text (
      ClutterInputMethod* im,
      const gchar* preedit,
      unsigned int cursor,
      unsigned int anchor,
      ClutterPreeditResetMode mode
    )

#### Description [src]

Sets the preedit text on the current input focus.

#### Parameters

`preedit`

  Type: `const gchar*`

  The preedit text, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cursor`

  Type: `unsigned int`

  The cursor.

`anchor`

  Type: `unsigned int`

  No description available.

`mode`

  Type: `ClutterPreeditResetMode`

  No description available.